Main Page Widgets Namespaces Book

# Gtk::ColorSelectionDialog Class Reference
[Dialogs]

Inheritance diagram for Gtk::ColorSelectionDialog:

[legend]

List of all members.

## Detailed Description

This dialog allows the user to select a color.

A ColorSelectionDialog looks like this:

## Public Member Functions

| ColorSelectionDialog (const Glib::ustring& title)
| ColorSelectionDialog ()
const Button* | get_cancel_button () const
Button* | get_cancel_button ()
const ColorSelection* | get_colorsel () const
ColorSelection* | get_colorsel ()
const Button* | get_help_button () const
Button* | get_help_button ()
const Button* | get_ok_button () const
Button* | get_ok_button ()
const GtkColorSelectionDialog* | gobj () const
| Provides access to the underlying C GtkObject.
GtkColorSelectionDialog* | gobj ()
| Provides access to the underlying C GtkObject.
virtual | ~ColorSelectionDialog ()

## Related Functions

(Note that these are not member functions.)
Gtk::ColorSelectionDialog* | wrap (GtkColorSelectionDialog* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::ColorSelectionDialog::~ColorSelectionDialog | ( |  | ) | `[virtual]`

Gtk::ColorSelectionDialog::ColorSelectionDialog | ( |  | ) |

Gtk::ColorSelectionDialog::ColorSelectionDialog | ( | const Glib::ustring & | title | ) | `[explicit]`

## Member Function Documentation

const Button* Gtk::ColorSelectionDialog::get_cancel_button | ( |  | ) | const

Button* Gtk::ColorSelectionDialog::get_cancel_button | ( |  | ) |

const ColorSelection* Gtk::ColorSelectionDialog::get_colorsel | ( |  | ) | const

ColorSelection* Gtk::ColorSelectionDialog::get_colorsel | ( |  | ) |

const Button* Gtk::ColorSelectionDialog::get_help_button | ( |  | ) | const

Button* Gtk::ColorSelectionDialog::get_help_button | ( |  | ) |

const Button* Gtk::ColorSelectionDialog::get_ok_button | ( |  | ) | const

Button* Gtk::ColorSelectionDialog::get_ok_button | ( |  | ) |

const GtkColorSelectionDialog* Gtk::ColorSelectionDialog::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

GtkColorSelectionDialog* Gtk::ColorSelectionDialog::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

## Friends And Related Function Documentation

Gtk::ColorSelectionDialog* wrap | ( | GtkColorSelectionDialog * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- colorselection.h